package com.happy.service;

import com.happy.Model.Booking;
import com.happy.Model.HouseNumber;
import com.happy.dto.HouseNumberDto;

import java.awt.print.Book;
import java.util.List;

public interface HouseNumberService {
    /**
     * 描述：直接新增
     *
     * @param list 房号
     * @return 印象行数
     */
    int saveBatch(List<HouseNumber> list);

    /**
     * 描述：先删除后新增
     *
     * @param list 房号
     * @return 印象行数
     */
    int updateBatch(List<HouseNumber> list);
    /**
     * 退房批量置脏
     * @param ids 房间ids
     * @return 影响行数
     */
    int updateHouseStatus(String ids);

    /**
     * 描述：查询可添加的房间
     *
     * @param book 订单号
     * @return 返回房间号 Status 为 3的房间表示不可预定
     */
    List<HouseNumber> queryHouseStatus(Booking book);

    /**
     * 入住获取房间
     * @param book
     * @return
     */
    List<HouseNumber> queryCheckRoom(Booking book);

    /**
     * 描述：查询该房型下的房间号
     *
     * @param houseId 房型id
     * @return 该房型的房间列表
     */
    List<HouseNumber> queryByHouseId(String houseId);

    /**
     * 房态管理-置脏/净
     */
    void modifyHouseStatus(HouseNumberDto houseNumberDto);
}
